> ## Documentation Index
> Fetch the complete documentation index at: https://partner-docs.fastgen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project



## OpenAPI

````yaml PATCH /v1/projects/{ProjectId}
openapi: 3.0.0
info:
  title: FastgenAI
  version: 1.0.0
servers:
  - url: https://app.fastgen.ai
security:
  - bearerAuth: []
tags:
  - name: /auth
  - name: /teams
  - name: /teams > /:teamID
  - name: /teams > /:teamID > /invitations
  - name: /teams > /:teamID > /users
  - name: /teams > /:teamID > /projects
  - name: /users
  - name: /users > /me
  - name: /users > /me > /teams
  - name: /projects
  - name: /projects > /users
  - name: /jobs
  - name: /cv
  - name: /scoring
  - name: /scoring > /templates
  - name: /scoring > /templates > /:templateId
  - name: /webhooks
  - name: /webhooks > /:webhookId
  - name: /webhooks > /:webhookId > /messages
  - name: /request_logs
paths:
  /v1/projects/{ProjectId}:
    patch:
      tags:
        - /projects
      summary: Update
      parameters:
        - name: ProjectId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                Name: Fastgen.ai
              properties:
                Name:
                  type: string
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Fri, 23 Sep 2022 13:42:57 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '207'
            Vary:
              schema:
                type: string
                example: Origin
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: ''
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
                example: 'true'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
              example:
                uuid: a23f3b87-cf68-4db2-966a-22108ca0ab66
                name: Fastgen
                created_at: '2024-12-18T18:37:03.504781626Z'
                updated_at: '2024-12-18T18:37:03.504781626Z'
components:
  schemas:
    Project:
      type: object
      properties:
        uuid:
          type: string
          description: The project's unique identifier (36 characters)
        name:
          type: string
          description: The project's name
        created_at:
          type: string
          description: The timestamp of creation
        updated_at:
          type: string
          description: The timestamp of last update
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````